# GimpUi.ProcedureDialog.set_sensitive_if_in

    @accepts(GimpUi.ProcedureDialog, unicode, GObject.Object, unicode, Gimp.ValueArray, bool)
    @returns(none)
    def set_sensitive_if_in(self, property, config, config_property, values, in_values):
        # Python wrapper for gimp_procedure_dialog_set_sensitive_if_in()

Sets sensitivity of the widget associated to property in self if the value of config_property in config is equal to one of values.

If config is None, then the configuration object of self is used.

If in_values is FALSE, then the widget is set sensitive if the value of config_property is **not** in values.

self

  the GimpUi.ProcedureDialog.

property

  name of a property of the Gimp.Procedure self has been created for.

config

  an optional config object (if None, property's config will be used).

config_property

  name of a property of config.

values

  an array of GValues which could be values of config_property.

in_values

  whether property should be sensitive when config_property is one of values, or the opposite.